## load data from Cell Profiler output

data_in <- read.csv(file.choose()) ## choose EXAMPLEsat_inside.csv
data_out <- read.csv(file.choose()) ## choose EXAMPLEsat_outside.csv
data_cep135 <- read.csv(file.choose()) ## choose EXAMPLEshrink_135.csv

data_in$factor <- with(data_in, paste(Metadata_line, Metadata_treatment, sep = "_"))
data_out$factor <- with(data_out, paste(Metadata_line, Metadata_treatment, sep = "_"))
data_cep135$factor <- with(data_cep135, paste(Metadata_line, Metadata_treatment, sep = "_"))

data_cep135b <- data_cep135[,c(1,15,14,11,12)]
colnames(data_cep135b)[c(4,5)] <- c("Center_x", "Center_y")

data_in_small <- data_in[,c(1,2,86,85,11,61,68, 69, 78,79)]
colnames(data_in_small)[c(9,10)] <- c("sat_x", "sat_y")

data_out_small <- data_out[,c(1,2,86,85,11,61,68, 69, 78,79)]
colnames(data_out_small)[c(9,10)] <- c("sat_x", "sat_y")

## join satellite data with CEP135 (to mark the satellite centre)
## normalize satellite location based on CEP135 location
library(dplyr)
inner <- inner_join(data_in_small, data_cep135b, by = c("factor", "ImageNumber", "Parent_sat_area"))
inner$normx <- inner$sat_x - inner$Center_x
inner$normy <- inner$sat_y - inner$Center_y
inner$sat_type <- "inner"

outer <- inner_join(data_out_small, data_cep135b, by = c("factor", "ImageNumber", "Parent_sat_area"))
outer$normx <- outer$sat_x - outer$Center_x
outer$normy <- outer$sat_y - outer$Center_y
outer$sat_type <- "outer"

all <- rbind(inner, outer)

write.csv(all, "EXAMPLE_PCM1_rep1.csv", row.names = FALSE, quote = FALSE)
